SplSubject::attach
SplSubject::notify
SplSubject
PHP Manual

# SplSubject::detach

Detach an observer

### Description

abstract public void SplSubject::detach ( SplObserver `$observer` )

Detaches an observer from the subject to no longer notify it of updates.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`observer`

  The SplObserver to detach.

### Return Values

No value is returned.